%define name	scriptutils
%define ver     1.41
%define rel     1
%define grp	Productivity/Text/Utilities
%define prefix  /usr
#
# Make SuSE's macros relocatable, i.e. pick up on prefix for _mandir and man
# pages. This may not always work and may have side-effects - check!
# This also shifts /usr/doc/packages for %doc; restore the package doc dir to
# its original location (in theory it should be shifted as well, e.g. into
# /usr/local, in practice it's easier to leave it for now).
%define _prefix	%{prefix}
%define _usr	%{prefix}
%define _docdir /usr/share/doc/packages

Summary:	A collection of useful shell scripts
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		%{grp}
Source:		http://volker.dnsalias.net/soft/pck/scriptutils-%{ver}.tar.bz2
URL:		http://volker.dnsalias.net/soft/
Vendor:         Volker Kuhlmann <VolkerKuhlmann@gmx.de>
BuildRoot:	/tmp/%{name}-%{version}-%{release}-%(id -u -n)
Prefix:		%{prefix}
BuildArchitectures:	noarch
#Summary(de):    

Requires:	fileutils, textutils, findutils, diffutils, awk

Provides:	%{name}
#
Provides:	Cmp
Provides:	Col
Provides:	DELE
Provides:	Date
Provides:	Lines
Provides:	Ren
Provides:	Xargs
Provides:	cacheexpire
Provides:	cp-ext2
Provides:	cp-sort
Provides:	ctanftp
Provides:	deaccent
Provides:	delctrl
Provides:	deljunk
Provides:	deltex
Provides:	diff-dirs-md5
Provides:	difforig
Provides:	dolog
Provides:	dvips2pdf
Provides:	envreload
Provides:	eps2bbox
Provides:	for
Provides:	functions_vk.bash
Provides:	fxargs
Provides:	geturls
Provides:	imgsequence
Provides:	iplogfilter
Provides:	ldap-add
Provides:	ldap-search-dump
Provides:	listall
Provides:	ls-c
Provides:	lynxtext
Provides:	mailrc-expand
Provides:	makeimage
Provides:	md5
Provides:	mkisofs-make
Provides:	nullio
Provides:	poptions
Provides:	ppp-addxfers
Provides:	ppp-quicklink
#Provides:	ps-to-pcl
Provides:	ringbell
Provides:	rpmdump
Provides:	run
Provides:	sec2h
Provides:	showargs
Provides:	ssh-pubkey-upload
Provides:	ssync
Provides:	strreplace
Provides:	texenvs
Provides:	time_t2readable
Provides:	truncate.pl
Provides:	tx
Provides:	writecd
Provides:	xmutt
#
Provides:	susegrep
#
Provides:	vuescan-wrapper


%description
This collection of shell scripts helps with everyday tasks, often reducing the
amount of typing otherwise required when using the standard utilities. Included
are scripts for finding files, comparing directory trees, generating checksums,
mastering and writing CDs, downloading URLs listed in special files via cron,
and a few others.

All scripts require the basic unix command line utilities, some scripts require
further programs (e.g. writecd requires cdrecord or growisofs).

The content of this rpm package works on every Linux distribution.

#%description -l de


%prep
%setup -n %{name} -c -q

%build

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"

# Oh boy this is a hack...
cat >files <<EOF
%defattr(-,root,dialout)
%{prefix}/bin/ppp-addxfers
%defattr(-,root,root)
%{prefix}/sbin/*
#%doc mkisofs-make-README
EOF

mkdir -p ${RPM_BUILD_ROOT}%{prefix}
cp -a bin sbin share ${RPM_BUILD_ROOT}%{prefix}
chmod 700 ${RPM_BUILD_ROOT}%{prefix}/sbin/*
chmod 710 ${RPM_BUILD_ROOT}%{prefix}/bin/ppp-addxfers
(
for file in `find * \! -type d`; do
  case "$file" in
    files|sbin/*|*/ppp-addxfers)
    	continue;;
    */mkisofs-make-README)
  	echo "%%doc %{prefix}/$file";;
    *)
	echo %{prefix}/$file;;
  esac
done
) >>files

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"


%files -f files


%changelog

* Sat Feb 02 2008 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: ps2pdf-print
- Updated: Cmp, iplogfilter, Lines, strreplace, writecd

* Sat Feb 02 2008 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: monitor-server
- Updated: iplogfilter, poptions, pstops-A4-A5booklet, Ren,
  strreplace, wipeit, writecd

* Mon Feb 12 2007 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Updated: Lines, functions_vk.bash, fxargs, iplogfilter, makeimage, strreplace,
  wipeit

* Tue Dec 19 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.38
- Added: diff-dirs-md5, ssh-pubkey-upload
- Updated: Date, functions_vk.bash, fxargs, listall, md5

* Mon Oct 16 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.37
- Added: difforig, movetimestamp
- Updated: DELE, Ren, deltex, dvips2pdf, functions_vk.bash, makeimage,
  time_t2readable, xmutt, iplogfilter

* Thu Jun 22 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.36, created on SUSE 10.1
- Updated: functions_vk.bash, gs7, listall, makeimage, susegrep, vuescan

* Tue May 08 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.35, for SUSE 10.0
- Added: dvips2pdf, pstops-A4-A5booklet
- Updated: Date, Ren, deltex, functions_vk.bash, fxargs, imgsequence, listall,
  printcups, tx, iplogfilter, sysinfo-collect

* Mon Jan 16 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.34, for SUSE 10.0
- Added: wipeit
- Updated: imgsequence

* Wed Jan 04 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.33, for SUSE 10.0
- Updated: Lines, functions_vk.bash, poptions, printcups, run, vuescan, writecd

* Fri Oct 28 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.32, for SUSE 9.2
- Updated: Date, PW, functions_vk.bash, ppp-addxfers, printcups, susegrep, tx,
  vuescan

* Thu Jul 14 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.31, for SUSE 9.2
- Updated: Date, Ren, cp-sort, functions_vk.bash, listall, printcups, susegrep

* Fri May 13 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.30, for SUSE 9.2
- Updated: LC_show, Lines, iplogfilter, makeimage, md5, susegrep
- Added (again?): printcups, ps-to-pcl

* Tue Apr 05 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.29, for SUSE 9.2
- Updated: poptions, Cmp
- Added: sysinfo-collect

* Mon Jan 24 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.28, for SUSE 9.2
- Updated: Cmp Col Date DELE Lines listall md5

* Thu Dec 09 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.27, for SUSE 9.2
- Updated: Xargs functions_vk.bash md5 susegrep

* Thu Nov 25 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scriptutils 1.26, for SUSE 9.2
- Added: LC_show
- Updated: vuescan, Col, tx, lynxtext, cp-ext2, writecd

* Fri Aug 27 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.25, for SUSE 9.1
- Updated: writecd, susegrep

* Fri Aug 20 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scriptutils 1.24, for SUSE 9.1
- Updated: Col, iplogfilter, writecd, susegrep
- Added: delctrl

* Thu Aug 05 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scriptutils 1.23, for SUSE 9.1

* Fri Apr 30 2004 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated: poptions, Date, eps2bbox, iplogfilter, mailrc_expand,
  functions_vk.bash, listall, md5

* Wed Jan 07 2004 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added: imgsequence, viewfonts, vuescan
- Substantially updated: md5, writecd
- Updated: Date, Lines, functions_vk.bash, susegrep, xmutt

* Fri Dec 05 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Updated: md5, functions_vk.bash, ls-c
* Thu Nov 20 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scripts updated: cacheexpire, fxargs, iplogfilter, listall, md5, rpmdump,
	strreplace, writecd, xmutt
- Added: Xargs, viewfonts
* Sun Sep 21 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated: listall, functions_vk.bash
- Added: cp-ext2
* Thu Aug 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated: writecd, listall, functions_vk.bash
- Added: cp-sort
* Thu Aug 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated: md5, writecd, listall, functions_vk.bash
* Thu Jun 26 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated
* Tue Jun 03 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Sun May 11 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- for SuSE 8.2
- Some scripts updated
* Thu Mar 26 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Thu Mar 13 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Sun Feb 09 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Tue Jan 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added ldap-search-dump, ldap-add, ldap-delete, ldap-modify, ldap-search
* Fri Jan 03 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated

* Thu Dec 05 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scripts updated, and added the for script
* Fri Nov 15 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.1; some scripts updated
* Wed Sep 11 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added strreplace, iplogfilter
* Wed Aug 28 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts, added deltexa etc
* Sun Aug 11 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts
* Fri Jul 05 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts
* Fri Jun 28 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.0
- Created first version of rpm
